KWin::Info struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KWin::Info Struct Reference

Information about a window. More...

`#include <kwin.h>`

Collaboration diagram for KWin::Info:

[legend]
List of all members.

## Public Member Functions
bool | isIconified () const
| Checks whether the window is iconified (minimized).
QString | visibleNameWithState () const
| Returns a visible name with state.
## Public Attributes
WId | win
| The window's id.
long unsigned int | state
| The window's state.
NET::MappingState | mappingState
| The mapping state.
NETStrut | strut
| The strut.
NET::WindowType | windowType
| The window type.
QString | visibleName
| The visible name of the window.
QString | name
| The name of the window.
int | desktop
| The number of the window's desktop.
bool | onAllDesktops
| true if the window is on all desktops.
pid_t | pid
| The process id of the window's owner.
QRect | geometry
| Position and size of the window contents.
QRect | frameGeometry
| Position and size of the window's frame.

## Detailed Description

Information about a window.

Definition at line 91 of file kwin.h.

## Member Function Documentation

bool KWin::Info::isIconified | ( |  | ) | const`[inline]`

| Checks whether the window is iconified (minimized). Returns: true if iconified Definition at line 117 of file kwin.h. References mappingState. Referenced by visibleNameWithState().

QString KWin::Info::visibleNameWithState | ( |  | ) | const

| Returns a visible name with state. This is a simple convenience function that returns the visible name but with parentheses around iconified windows Returns: the window name with state Definition at line 397 of file kwin.cpp. References QString::append(), isIconified(), QString::prepend(), and visibleName.

## Member Data Documentation

WId KWin::Info::win

| The window's id. Definition at line 94 of file kwin.h. Referenced by KWin::info().

long unsigned int KWin::Info::state

| The window's state. Definition at line 96 of file kwin.h. Referenced by KWin::info().

NET::MappingState KWin::Info::mappingState

| The mapping state. Definition at line 98 of file kwin.h. Referenced by KWin::info(), and isIconified().

NETStrut KWin::Info::strut

| The strut. Definition at line 100 of file kwin.h. Referenced by KWin::info().

NET::WindowType KWin::Info::windowType

| The window type. Definition at line 102 of file kwin.h. Referenced by KWin::info().

QString KWin::Info::visibleName

| The visible name of the window. Definition at line 104 of file kwin.h. Referenced by KWin::info(), and visibleNameWithState().

QString KWin::Info::name

| The name of the window. Definition at line 106 of file kwin.h. Referenced by KWin::info().

int KWin::Info::desktop

| The number of the window's desktop. Definition at line 108 of file kwin.h. Referenced by KWin::info().

bool KWin::Info::onAllDesktops

| true if the window is on all desktops. Definition at line 110 of file kwin.h. Referenced by KWin::info().

pid_t KWin::Info::pid

| The process id of the window's owner. Definition at line 112 of file kwin.h. Referenced by KWin::info().

QRect KWin::Info::geometry

| Position and size of the window contents. Definition at line 119 of file kwin.h. Referenced by KWin::info().

QRect KWin::Info::frameGeometry

| Position and size of the window's frame. Definition at line 121 of file kwin.h. Referenced by KWin::info().

The documentation for this struct was generated from the following files:

- kwin.h
- kwin.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001